if [ -f /etc/SuSE-release ]; then
  LINUXDIR=/usr/src/linux/include
elif [ -f /etc/mandrake-release ]; then
  distro=mandrake
elif [ -f /etc/redhat-release ]; then
  LINUXDIR=/lib/modules/`uname -r`/build/include
elif [ -f /etc/debian_version ]; then
  LINUXDIR=/usr/src/kernel-headers-`uname -r`/include
elif [ -d /sbin/init.d ]; then
  distro=unknown_sbin
else
  LINUXDIR=linux-`uname -r`
fi

if [ ! -d $LINUXDIR ]; then
  echo "Could not find kernel header files"
  echo "in $LINUXDIR"
  echo "Please install kernel header files"
  echo "or adapt the path to them by setting \$LINUXDIR"
  echo "in file $0"
  exit -1
fi

cc -I$LINUXDIR \
	-O3 -Wall -Wstrict-prototypes -pipe \
	-D__KERNEL__ -DMODULE \
	-march=i386 \
	-c $1
